/* =============== Google-Font (Poppins) =============== */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");

@font-face {
    font-family: 'blacksword';
    src: url(../fonts/blacksword.otf);
}

/* =============== Variables CSS =============== */
:root{
    --hue: 0;
    
    /* =============== Colors =============== */
    --body-color: hsl(var(--hue), 0%, 99%);
    --container-color: hsl(var(--hue), 0%, 100%);
    
    --first-color: hsl(var(--hue), 5%, 4%);
    --first-color-lighten: hsl(var(--hue), 0%, 85%);
    --first-color-alt: hsl(var(--hue), 0%, 24%);
    --first-color-alt-lighten: hsl(var(--hue), 0%, 54%);

    --text-neutral: hsl(var(--hue), 0%, 20%);
    --text-color: hsl(var(--hue), 0%, 40%);
    --text-color-light: hsl(var(--hue), 0%, 65%);
    --text-color-lighten: hsl(var(--hue), 0%, 75%);
    --text-color-alt: hsl(var(--hue), 4%, 28%);
    
    --title-color: hsl(var(--hue), 8%, 15%);

    --header-text: hsl(var(--hue), 4%, 75%);
    
    --input-color: hsl(var(--hue), 0%, 92%);
    
    --shadow: rgba(73, 73, 73, 0.15);
    --shadow-alt: rgba(73, 73, 73, 0.35);
    --header-shadow: rgba(50, 50, 50, 0.065);

    /* =============== Font-Family =============== */
    --body-font: 'Poppins', sans-serif;

    /* =============== Font-Sizes =============== */
    --big-font-size: 3.2rem;
    --h1-font-size: 2.25rem;
    --h2-font-size: 1.5rem;
    --h3-font-size: 1.25rem;
    --normal-font-size: .982rem;
    --small-font-size: .875rem;
    --smaller-font-size: .813rem;
    --tiny-font-size: .675rem;

    /* =============== Font-Weight =============== */
    --font-medium: 500;
    --font-semi-bold: 600;

    /* =============== Margines =============== */
    --mb-0-25: .25rem;
    --mb-0-5: .5rem;
    --mb-0-75: .75rem;
    --mb-1: 1rem;
    --mb-1-5: 1.5rem;
    --mb-2: 2rem;
    --mb-2-5: 2.5rem;
    --mb-3: 3rem;

    /* =============== Z-Index =============== */
    --z-tooltip: 10;
    --z-fixed: 100;
    --z-modal: 1000;
}

/* =============== Dark-Theme-Variables =============== */
body.dark-theme{
    --body-color: hsl(var(--hue), 0%, 13%);
    --container-color: hsl(var(--hue), 0%, 22%);

    --first-color: hsl(var(--hue), 0%, 95%);
    --first-color-lighten: hsl(var(--hue), 0%, 40%);
    --first-color-alt: hsl(var(--hue), 0%, 80%);
    --first-color-alt-lighten: hsl(var(--hue), 0%, 60%);

    --text-neutral: hsl(var(--hue), 0%, 88%);
    --text-color: hsl(var(--hue), 0%, 75%);
    --text-color-light: hsl(var(--hue), 0%, 65%);
    --text-color-lighten: hsl(var(--hue), 0%, 75%);
    --text-color-alt: hsl(var(--hue), 0%, 84%);

    --title-color: hsl(var(--hue), 2%, 95%);

    --header-text: hsl(var(--hue), 0%, 44%);
    
    --input-color: hsl(var(--hue), 0%, 20%);
    
    --light-color: hsl(var(--hue), 0%, 94%);

    --dark-color: hsl(var(--hue), 4%, 5%);
    --dark-color-alt: hsl(var(--hue), 0%, 20%);

    --shadow: rgba(0, 0, 0, 0.15);
    --shadow-alt: rgba(0, 0, 0, 0.50);
    --header-shadow: rgba(0, 0, 0, 0.2);
}

.dark-theme::-webkit-scrollbar-thumb{
    background-color: var(--dark-color-alt);
}
.dark-theme::-webkit-scrollbar-thumb:hover{
    background-color: var(--dark-color);
}

.dark-theme .scroll-to-top a{
    color: var(--light-color);
    background-color: var(--dark-color);
}

.dark-theme .button:hover,
.dark-theme .button-outline:hover{
    color: var(--light-color);
}

.dark-theme .footer{
    background-color: var(--dark-color);
}
.dark-theme .footer__copy{
    color: var(--light-color);
}

/* =============== Base-Css =============== */
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html{
    /* font-size: 16px; */
    scroll-behavior: smooth;
}

body{
    font-family: var(--body-font);
    font-size: var(--normal-font-size);
    background-color: var(--body-color);
    color: var(--text-color);
    transition: .4s;
}

h1, h2, h3{
    color: var(--title-color);
    font-weight: var(--font-semi-bold);
}

ul{
    list-style: none;
}

a{
    text-decoration: none;
}

button{
    border: none;
    outline: none;
    cursor: pointer;
}

img{
    max-width: 100%;
    height: auto;
}

/* Owl-Carousel */
.owl-carousel .owl-nav.disabled{
    display: none;
}
.owl-carousel .owl-nav{
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    transform: translateY(-50%);
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: space-between;
    pointer-events: none;
}
.owl-carousel .owl-nav .owl-prev,
.owl-carousel .owl-nav .owl-next{
    pointer-events: all;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    /* width: 50px;
    height: 50px;
    border-radius: 50%; */
    background-color: transparent !important;
    color: var(--first-color) !important;
    font-size: 2.2rem !important;
}
.owl-carousel .owl-nav .owl-prev.disabled,
.owl-carousel .owl-nav .owl-next.disabled{
    pointer-events: none;
    opacity: 0.5;
}

.owl-carousel .owl-dots.disabled{
    display: none;
}
.owl-carousel .owl-dots{
    position: relative;
    left: 0;
    right: 0;
    z-index: 1;
    width: 100%;
    text-align: center;
    margin-bottom: 6px;
    pointer-events: none;
}
.owl-carousel .owl-dots .owl-dot{
    pointer-events: all;
    display: inline-block;
    width: .4rem;
    height: .4rem;
    border-radius: 50%;
    background-color: var(--first-color);
    margin: 0 .25rem;
    opacity: 0.4;
}
.owl-carousel .owl-dots .owl-dot.active{
    opacity: 1;
}

.owl-carousel .owl-stage{
    display: flex;
    flex-wrap: wrap;
}
.owl-carousel .owl-stage .owl-item .slide,
.owl-carousel .owl-stage .owl-item .slide > *{
    height: 100%;
}

/* Scroll-To-Top */
.scroll-to-top span{
    line-height: 0;
    margin: 0;
    padding: 0;
}
.scroll-to-top a{
    position: fixed;
    bottom: 60px;
    right: 30px;
    z-index: 10;
    width: 25px;
    height: 25px;
    opacity: 0;
    pointer-events: none;
    transition: .5s ease-in-out;
}
.scroll-to-top a img.rocket{
    width: 100%;
}
.scroll-to-top a img.fired_rocket{
    width: 100%;
    display: none;
}
.scroll-to-top a.visible{
    opacity: 1;
    pointer-events: all;
}
.scroll-to-top a i{
    display: none;
}

/*  */
.scroll-to-top a img{
    display: none !important;
}
.scroll-to-top a i{
    display: inline-block;
}
.scroll-to-top a{
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 2rem;
    height: 2rem;
    bottom: 40px;
    right: 40px;
    border-radius: .25rem;
    background-color: var(--first-color);
    color: var(--body-color);
    font-size: 1.65rem;
}
/* End Scroll-To-Top */

/* =============== Reusable-Classes =============== */
.container{
    max-width: 968px;
    margin: 0 auto;
}

.section{
    padding: 4rem 0;
}

.section__title{
    text-align: center;
    font-size: var(--h2-font-size);
    color: var(--first-color);
    margin-bottom: 3.5rem;
}

.section__subtitle{
    display: block;
    text-align: center;
    font-size: var(--smaller-font-size);
    color: var(--text-color-light);
}

.button{
    display: inline-block;
    border: 2px solid transparent;
    border-radius: 0.5rem;
    background-color: var(--first-color);
    color: var(--body-color);
    font-size: var(--normal-font-size);
    font-weight: var(--font-medium);
    font-family: var(--body-font);
    padding: 0.75rem 1rem;
    transition: .3s;
}
.button:hover{
    background-color: var(--first-color-alt);
}

.button-outline{
    border-color: var(--first-color);
    background-color: transparent;
    color: var(--first-color);
}
.button-outline:hover{
    border-color: transparent;
    background-color: var(--first-color-alt);
    color: var(--body-color);
}

.button--flex{
    display: inline-flex;
    align-items: center;
}

/* =============== Theme-Button =============== */
.change-theme{
    position: relative;
    top: 1.4px;
    font-size: 1.25rem;
    color: var(--first-color);
    margin-left: 1.4rem;
    cursor: pointer;
    transition: .3s;
}
.change-theme:hover{
    color: var(--first-color-alt-lighten);
}

/* =============== Nav-Toggle =============== */
.nav__toggle{
    position: relative;
    top: 1.4px;
    font-size: 1.25rem;
    color: var(--first-color);
    transition: .3s;
}
.nav__toggle:hover{
    color: var(--first-color-alt-lighten);
}

/* =============== Header =============== */
.header{
    position: sticky;
    top: 0;
    left: 0;
    right: 0;
    z-index: var(--z-tooltip);
    width: 100%;
    background-color: var(--body-color);
    transition: .5s;
}
.header.sticky__header{
    box-shadow: 0 2px 4px var(--header-shadow);
}
.nav{
    display: flex;
    align-items: center;
    padding: 1.5rem 0;
}
.nav__logo{
    display: inline-block;
    font-family: 'blacksword', cursive;
    font-weight: 900;
    font-size: 1.4rem;
    color: var(--first-color);
    margin-right: auto;
    transition: .3s;
}
.nav__logo:hover{
    color: var(--first-color-alt-lighten);
}
.nav__list{
    display: flex;
    align-items: center;
    gap: 1.8rem;
}
.nav__link{
    font-size: var(--small-font-size);
    font-weight: var(--font-medium);
    color: var(--header-text);
    transition: .3s;
}
.nav__link:hover,
.nav__link.active-link{
    color: var(--first-color);
}

/* =============== Home =============== */
.home__container{
    max-width: 768px;
    transform: translateX(3rem);
}
.home__box{
    position: relative;
}
.home__social{
    position: absolute;
    left: -9rem;
    top: 50%;
    transform: translateY(-50%);
    z-index: 1;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
.home__social-link{
    font-size: 1.4rem;
    color: var(--first-color);
    padding: .1rem;
    cursor: pointer;
    transition: .3s;
}
.home__social-link:hover{
    color: var(--first-color-alt-lighten);
}

.home__content{
    display: flex;
    gap: 2rem;
    padding-top: 3rem;
}
.home__content > *{
    width: 50%;
}
.home__subline{
    display: inline-block;
    position: relative;
    bottom: -.4rem;
    font-size: var(--small-font-size);   
    color: var(--text-color-light);
}
.home__name{
    font-size: var(--big-font-size);
    color: var(--title-color);
}
.home__name b{
    font-size: 0.62em;
}
.home__title{
    font-weight: var(--font-medium);
    font-size: var(--h3-font-size);
    color: var(--text-color-alt);
    margin-bottom: var(--mb-0-75);
}
.home__description{
    margin-bottom: var(--mb-2);
}
.home__btns{
    display: flex;
    gap: 1rem;
}

.home__img{
    text-align: right;
    transform: translateY(2.45rem);
}
.home__blob{
    max-width: 320px;
    fill: var(--first-color);
}
.home__blob-img{
    width: 118%;
    transform: rotate(351deg) translate(-60px, -6px);
}

.home__scroll-button{
    color: var(--title-color);
    margin-top: 5rem;
    cursor: pointer;
    transition: .3s;
}
.home__scroll-button:hover{
    color: var(--first-color-alt-lighten);
    transform: translateY(.25rem);
}
.home__scroll-mouse{
    font-size: 1.8rem;
}
.home__scroll-arrow{
    font-size: 1.25rem;
}
.home__scroll-name{
    font-weight: var(--font-medium);
    font-size: var(--small-font-size);
    margin: 0 var(--mb-0-25);
}

/* =============== About =============== */
.about__container{
    display: flex;
    gap: 4rem;
}
.about__container > *{
    width: 50%;
}
.about__img img{
    display: block;
    width: 100%;
    max-width: 350px;
    border-radius: 1.5rem;
    margin: 0 auto;
}
.about__data{
    display: flex;
    gap: .75rem;
    margin-bottom: 2rem;
}
.about__info{
    width: 33.33%;
    text-align: center;
    border-radius: .75rem;
    background-color: var(--container-color);
    box-shadow: 0 2px 8px var(--shadow);
    padding: 1rem 1.25rem;
}
.about__icon{
    font-size: 1rem;
}
.about__title{
    font-size: var(--smaller-font-size);
}
.about__subtitle{
    font-size: var(--tiny-font-size);
}
.about__description{
    padding-right: 3rem;
    margin-bottom: 2.5rem;
}

/* =============== Skills =============== */
.skills__container{
    display: flex;
    gap: 4rem;
}

.skills__content{
    width: 100%;
}

.skills__header{
    display: flex;
    align-items: center;
    cursor: pointer;
}
.skills__icon{
    font-size: 2rem;
    color: var(--first-color);
    margin-right: .8rem;
}
.skills__title{
    font-size: 1.2rem;
    margin-bottom: -.18rem;
}
.skills__subtitle{
    display: inline-block;
    font-size: var(--smaller-font-size);
}
.skills__arrow{
    display: inline-block;
    font-size: 2rem;
    color: var(--first-color);
    margin-left: auto;
    transition: .3s ease-out;
}

.skills__list{
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    margin-top: 2rem;
}
.skills__titles{
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: .5rem;
}
.skills__name{
    font-weight: var(--font-medium);
    font-size: var(--normal-font-size);
    color: var(--title-color);
}
.skills__bar,
.skills__percentage{
    display: block;
    width: 100%;
    height: 5px;
    border-radius: .25rem;
    background-color: var(--first-color-lighten);
}
.skills__percentage{
    width: 0%;
    background-color: var(--first-color);
}

/* View-2 */
.skills__container{
    gap: 0;
    flex-wrap: wrap;
}
.skills__content{
    width: calc(50% - 2rem);
    height: 100%;
    border-radius: .75rem;
    box-shadow: 0 2px 8px var(--shadow);
    background-color: var(--container-color);
    padding: 0;
    margin: 1rem 1rem;
    overflow: hidden;
    transition: .3s;
}
.skills__content:last-child{
    width: 100%;
}
.skills__header{
    border-radius: .75rem;
    padding: 2rem;
}
.skills__list{
    padding: 2rem;
    padding-top: 0;
    margin-top: 0;
    margin-bottom: .75rem;
}

.skills__modal{
    display: none;
}

.skills__content:hover{
    box-shadow: 0 2px 8px var(--shadow-alt);
}
.skills__active .skills__arrow{
    transform: rotate(180deg);
}
/* View-2 */

/* =============== Qualification =============== */
.qualification__container{
    max-width: 568px;
}

.qualification__tabs{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2rem;
    margin-bottom: 2.5rem;
}
.qualification__button{
    font-weight: var(--font-medium);
    font-size: 1.25rem;
    color: var(--text-color-light);
    cursor: pointer;
    transition: .3s;
}
.qualification__button:hover{
    color: var(--first-color-alt);
}
.qualification__button i{
    font-size: 1.5rem;
    margin-right: .25rem;
}
.qualification__button.qualification__active{
    color: var(--first-color);
}

.qualification__content{
    display: none;
    flex-direction: column;
}
.qualification__content.qualification__active{
    display: flex;
}
.qualification__data{
    position: relative;
    width: 50%;
    padding-bottom: .875rem;
}
.qualification__data > div{
    text-align: left;
}
.qualification__data::after{
    content: '';
    display: block;
    width: .8rem;
    height: .8rem;
    border-radius: 50%;
    background-color: var(--first-color);
    position: absolute;
    top: 0;
}
.qualification__data::before{
    content: '';
    display: block;
    width: .1rem;
    height: 100%;
    background-color: var(--first-color);
    position: absolute;
    top: 0;
}
.qualification__data:last-child{
    padding-bottom: 0;
}
.qualification__data:last-child:before{
    display: none;
}
.qualification__data:nth-child(odd){
    padding-right: 2.5rem;
    margin-right: auto;
}
.qualification__data:nth-child(even){
    padding-left: 2.5rem;
    margin-left: auto;
}
.qualification__data:nth-child(odd)::after{
    right: -.4rem;
}
.qualification__data:nth-child(even)::after{
    left: -.4rem;
}
.qualification__data:nth-child(odd)::before{
    right: -1px;
}
.qualification__data:nth-child(even)::before{
    left: -.5px;
}

.qualification__title{
    font-weight: var(--font-medium);
    font-size: var(--normal-font-size);
    color: var(--title-color);
    margin-bottom: .25rem;
}
.qualification__subtitle{
    display: inline-block;
    font-size: var(--small-font-size);
    color: var(--text-color);
    margin-bottom: .875rem;
}
.qualification__calendar{
    font-size: var(--smaller-font-size);
    color: var(--text-color-light);
}

/* =============== Services =============== */
.services__container{
    max-width: 768px;
    display: flex;
    gap: 2rem;
}
.services__content{
    width: 100%;
}
.services__data{
    border-radius: .25rem;
    box-shadow: 0 2px 8px var(--shadow);
    background-color: var(--container-color);
    padding: 6rem 2rem 2rem;
    cursor: pointer;
    transition: .3s;
}
.services__data-icon{
    font-size: 1.25rem;
    margin-bottom: .65rem;
}
.services__title{
    font-weight: var(--font-medium);
    font-size: var(--h3-font-size);
    margin-bottom: 1.25rem;
}
.services__button{
    font-weight: var(--font-medium);
    font-size: var(--small-font-size);
    color: var(--first-color);
}
.services__button-arrow{
    font-size: 1.2rem;
    margin-left: .25rem;
    transition: .4s;
}
.services__data:hover{
    background-color: var(--first-color);
}
.services__data:hover .services__data-icon,
.services__data:hover .services__title,
.services__data:hover .services__button{
    color: var(--body-color);
}
.services__data:hover .services__button-arrow{
    transform: translateX(.3rem);
}

.services__modal{
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: var(--z-fixed);
    width: 100%;
    height: 100vh;
    display: flex;
    background-color: var(--shadow);
    padding: 4rem 1rem;
    overflow-y: auto;
    opacity: 0;
    visibility: hidden;
    transition: .3s;
}
.services__modal-overlay{
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 0;
    display: block;
    width: 100%;
    height: 100%;
    background-color: transparent;
}
.services__modal-content{
    position: relative;
    z-index: 1;
    width: 100%;
    max-width: 520px;
    border-radius: .75rem;
    background-color: var(--container-color);
    box-shadow: 0 2px 8px var(--shadow-alt);
    padding: 2rem;
    margin: auto;
    opacity: .5;
    transform: translateY(-80px);
    transition: 0.3s;
}
.services__modal-title{
    font-size: var(--h3-font-size);
}
.services__modal-close{
    position: absolute;
    top: 1.25rem;
    right: 1.25rem;
    font-size: 1.65rem;
    cursor: pointer;
}
.services__modal-services{
    margin-top: 1.65rem;
}
.services__modal-service{
    display: flex;
    font-size: var(--normal-font-size);
    margin-bottom: .8rem;
}
.services__modal-icon{
    position: relative;
    top: 3px;
    display: inline-block;
    font-size: 1.2rem;
    color: var(--first-color);
    margin-right: .5rem;
}

.services__modal-active{
    opacity: 1;
    visibility: visible;
}
.services__modal-active .services__modal-content{
    opacity: 1;
    transform: translateY(0);
    transition: .4s ease-out;
}

/* =============== Portfolio =============== */
.portfolio__filters{
    display: flex;
    justify-content: center;
    gap: .5rem;
    margin-bottom: 3rem;
}
.portfolio__item{
    display: inline-block;
    border-radius: 0.5rem;
    font-weight: var(--font-medium);
    color: var(--text-neutral);
    padding: 0.35rem 0.75rem;
    cursor: pointer;
    transition: .3s;
}
.portfolio__item:hover{
    color: var(--first-color-alt-lighten);
}
.portfolio__item.active-portfolio{
    background-color: var(--first-color);
    color: var(--body-color);
}

.portfolio__content{
    display: flex;
    flex-wrap: wrap;
}
.portfolio__content > div{
    flex: none;
    width: 33.33%;
    padding: .75rem .5rem;
}
.portfolio__content > div:nth-child(3n + 1){
    padding-left: 0;
    padding-right: 1rem;
}
.portfolio__content > div:nth-child(3n){
    padding-left: 1rem;
    padding-right: 0;
}
.portfolio__data{
    display: block;
    border-radius: .75rem;
    box-shadow: 0 2px 8px var(--shadow);
    background-color: var(--container-color);
    padding: 1.25rem;
    transition: .3s;
}
.portfolio__img{
    position: relative;
    display: block;
    width: 100%;
    border-radius: .75rem;
    margin-bottom: 1rem;
    overflow: hidden;
}
.portfolio__img::after{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1;
    display: block;
    width: 100%;
    height: 100%;
    border-radius: inherit;
    box-shadow: 0 0 3px rgba(0, 0, 0, 0.1) inset;
}
.portfolio__img img{
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.portfolio__title{
    font-weight: var(--font-medium);
    font-size: var(--normal-font-size);
    color: var(--title-color);
    margin-bottom: .5rem;
}
.portfolio__button{
    font-weight: var(--font-medium);
    font-size: var(--small-font-size);
    color: var(--first-color);
}
.portfolio__button-icon{
    font-size: 1.14rem;
    margin-left: 0.25rem;
    transition: .4s;
}
.portfolio__data:hover{
    box-shadow: 0 2px 8px var(--shadow-alt);
}
.portfolio__data:hover .portfolio__button-icon{
    transform: translateX(.25rem);
}

/* =============== Testimonials =============== */
.testimonials__slider{
    margin: 0 -.4rem;
}
.testimonials__slide{
    height: 100%;
    padding: .5rem;
}
.testimonials__data{
    height: 100%;
    border-radius: .75rem;
    box-shadow: 0 2px 8px var(--shadow);
    background-color: var(--container-color);
    padding: 1.5rem;
}
.testimonials__header{
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 1.25rem;
}
.testimonials__profile{
    display: flex;
    align-items: center;
}
.testimonials__img{
    flex: none;
    width: 3rem !important;
    height: 3rem !important;
    border-radius: 50%;
    object-fit: cover;
    overflow: hidden;
    margin-right: .65rem;
}
.testimonials__name{
    font-weight: var(--font-medium);
    font-size: var(--normal-font-size);
    color: var(--title-color);
}
.testimonials__role{
    display: inline-block;
    font-size: var(--smaller-font-size);
    color: var(--text-color-light);
}

.testimonials__rating{
    display: flex;
    gap: .3rem;
    font-size: 1rem;
    color: var(--first-color);
}

.testimonials__comment p{
    font-size: var(--small-font-size);
    color: var(--text-color);
    margin-bottom: .5rem;
}
.testimonials__comment p:last-child{
    margin-bottom: 0;
}

.testimonials__slider .owl-nav{
    left: -2.5rem;
    right: -2.5rem;
}

/* =============== Contact =============== */
.contact__container{
    display: flex;
    gap: 4rem;
}
.contact__container > *{
    width: 50%;
}
.contact__title{
    text-align: center;
    font-size: var(--h3-font-size);
    margin-bottom: 1.5rem;
}
.contact__info{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}
.contact__card{
    width: 100%;
    max-width: 280px;
    display: inline-block;
    text-align: center;
    border-radius: .5rem;
    box-shadow: 0 2px 8px var(--shadow);
    background-color: var(--container-color);
    color: var(--text-color);
    padding: 1.2rem;
    transition: .3s;
}
.contact__card-icon{
    font-size: 2rem;
    color: var(--title-color);
    margin-bottom: .25rem;
}
.contact__card-title,
.contact__card-data{
    font-size: var(--small-font-size);
}
.contact__card-title{
    font-weight: var(--font-medium);
}
.contact__card-data{
    margin-bottom: .75rem;
}
.contact__button{
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: var(--small-font-size);
    color: var(--first-color);
    gap: .25rem;
}
.contact__button-icon{
    display: inline-block;
    transition: .3s;
}
.contact__card:hover{
    box-shadow: 0 2px 8px var(--shadow-alt);
}
.contact__card:hover .contact__button-icon{
    transform: translateX(.25rem);
}

.contact__form-div{
    position: relative;
    height: 4rem;
    margin-bottom: 2rem;
}
.contact__form-input{
    display: block;
    width: 100%;
    height: 100%;
    outline: none;
    border-radius: .75rem;
    border: 2px solid var(--text-color-light);
    background-color: transparent;
    font-family: var(--body-font);
    font-size: var(--normal-font-size);
    padding: 1.5rem;
}
.contact__form-textarea{
    height: 11rem;
}
.contact__form-textarea textarea{
    resize: none;
}
.contact__form-tag{
    position: absolute;
    top: -.75rem;
    left: 1.25rem;
    background-color: var(--body-color);
    font-size: var(--smaller-font-size);
    color: var(--text-color);
    padding: .25rem;
}

.contact__form-input:focus{
    border-color: var(--first-color);
}
.contact__form-input:focus ~ .contact__form-tag{
    font-weight: 500;
    color: var(--first-color);
}

/* =============== Footer =============== */
.footer{
    background-color: var(--first-color);
    padding: 1.5rem .65rem;
    margin-top: 5rem;
}
.footer__copy{
    text-align: center;
    font-size: var(--small-font-size);
    color: var(--text-color-lighten);
}
.footer__copy i{
    position: relative;
    top: .1rem;
}

/* =============== Scroll-Bar =============== */
::-webkit-scrollbar{
    width: .5rem;
    border-radius: .5rem;
    background-color: var(--first-color-lighten);
}
::-webkit-scrollbar-thumb{
    background-color: var(--first-color-alt);
    border-radius: .5rem;
}
::-webkit-scrollbar-thumb:hover{
    background-color: var(--first-color);
}

@media screen and (min-width: 767px) {
    .nav__icon{
        display: none;
    }
    .nav__toggle{
        display: none;
    }
    .nav__menu-overlay{
        display: none;
    }
}

@media screen and (min-width: 767px) and (max-width: 1024px) {
    html{
        font-size: 15px;
        scroll-padding-top: 5rem;
    }

    body{
        --big-font-size: 2.825rem;
        --h1-font-size: 2.115rem;
        --h2-font-size: 1.324rem;
        --h3-font-size: 1.125rem;
        --normal-font-size: .896rem;
        --small-font-size: .825rem;
        --smaller-font-size: .793rem;
        --tiny-font-size: .625rem;
    }
}

@media screen and (max-width: 1024px) {    
    .container{
        max-width: 720px;
        padding-left: 1rem;
        padding-right: 1rem;
    }

    .section{
        padding: 3.72rem 0;
    }
    .section__title{
        margin-bottom: 2.92rem;
    }
    
    .home__container{
        max-width: 620px;
    }
    .home__data{
        width: 56%;
    }
    .home__img{
        width: 44%;
        transform: translateY(2.24rem);
    }
    .home__social{
        left: -6rem;
    }

    .about__container{
        gap: 2.24rem;
    }
    .about__img{
        width: 45%;
    }
    .about__content{
        width: 55%;
    }
    .about__img img{
        max-width: 278px;
    }

    .skills__content{
        width: calc(50% - 1.3rem);
        margin: .65rem .65rem;
    }
    .skills__header{
        padding: 1.42rem 1.72rem;
    }
    .skills__list{
        padding: 1.42rem 1.72rem;
        padding-top: 0;
    }

    .qualification__container{
        max-width: 562px;
    }

    .services__container{
        max-width: 692px
    }

    .portfolio__content > div{
        padding: .5rem .33rem;
    }
    .portfolio__content > div:nth-child(3n + 1){
        padding-left: 0;
        padding-right: .66rem;
    }
    .portfolio__content > div:nth-child(3n){
        padding-left: .66rem;
        padding-right: 0;
    }
    .portfolio__data{
        padding: 1rem;
    }
    .portfolio__img{
        margin-bottom: .72rem;
    }
    .portfolio__title{
        margin-bottom: .3rem;
    }
}

@media screen and (max-width: 767px) {
    html{
        font-size: 15px;
    }

    body{
        padding-bottom: 4rem;
    }

    .container{
        max-width: 528px;
    }

    .scroll-to-top a{
        right: 24px;
        bottom: 84px;
    }
    
    .header{
        position: fixed;
        top: unset;
        bottom: 0;
    }
    .header.sticky__header{
        box-shadow: 0 -2px 4px var(--header-shadow);
    }
    
    .nav{
        max-width: 100%;
        padding-top: 1.15rem;
        padding-bottom: 1.15rem;
    }
    .nav__logo{
        position: relative;
        z-index: 1;
        font-size: 1.2rem;
    }
    .nav__btns{
        display: flex;
        align-items: center;
        gap: 1.4rem;
    }
    .nav__menu{
        position: absolute;
        left: 0;
        right: 0;
        bottom: 0;
        width: 100%;
        padding-top: 1rem;
        overflow: hidden;
        pointer-events: none;
    }
    .nav__list{
        position: absolute;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        width: 100%;
        display: flex;
        flex-wrap: wrap;
        gap: 0;
        background-color: var(--body-color);
        border-radius: 1rem 1rem 0 0;
        box-shadow: 0 -2px 4px var(--header-shadow);
        padding: 1.5rem 1rem;
        padding-top: 2rem;
        pointer-events: all;
        transform: translateY(calc(100% + 8px));
        transition: .5s ease-out;
    }
    .nav__item{
        flex: none;
        width: 33.33%;
        text-align: center;
        padding: 2.2rem 1rem;
    }
    .nav__menu-overlay{
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        width: 100%;
        height: 100%;
        z-index: 0;
        display: block;
        pointer-events: none;
    }
    .nav__menu.active .nav__list{
        transform: translateY(0);
    }
    .nav__menu.active .nav__menu-overlay{
        pointer-events: all;
    }
    .nav__link{
        display: inline-flex;
        flex-direction: column;
        align-items: center;
        gap: .5rem;
        font-size: .92rem;
    }
    .nav__icon{
        font-size: 1.15rem;
    }

    .home__container{
        transform: translateX(0);
    }

    .home__social{
        top: 0;
        left: 0;
        gap: 2rem;
        transform: translateY(4rem);
    }
    
    .home__content{
        flex-direction: column;
        padding-top: 1rem;
    }
    .home__img{
        width: 100%;
        order: 1;
        text-align: center;
        padding: 0 4rem;
        transform: translateY(0);
    }
    .home__blob{
        width: 262px;
    }
    .home__data{
        width: 100%;
        order: 2;
        text-align: center;
    }
    .home__btns{
        justify-content: center;
    }
    
    .home__scroll-button,
    .home__scroll-button:hover{
        position: absolute;
        top: 5rem;
        right: -8rem;
        margin-top: 0;
        transform-origin: top left;
        transform: rotate(90deg);
    }
    .home__scroll-mouse{
        transform: rotate(-90deg);
    }
    .home__scroll-arrow{
        transform: rotate(-90deg);
    }
    .home__scroll-name{
        margin: 0 var(--mb-0-5);
    }
    
    .about__container{
        flex-direction: column;
    }
    .about__img{
        width: 100%;
    }
    .about__img img{
        max-width: 248px;
    }
    .about__content{
        width: 100%;
        max-width: 520px;
        text-align: center;
    }
    .about__data{
        max-width: 392px;
        margin: 0 auto 2rem;
    }
    .about__description{
        padding: 0 2rem;
    }
    
    .skills__content{
        width: 100%;
    }
    .skills__header{
        padding: 2.2rem;
    }
    .skills__list{
        padding: 2.2rem;
        padding-top: 0;
    }

    .services__container{
        flex-direction: column;
    }
    .services__content{
        max-width: 228px;
        margin: 0 auto;
    }

    .portfolio__content > div{
        flex: none;
        width: 50%;
        padding: .65rem .6rem !important;
    }

    .contact__container{
        gap: 2.24rem;
    }
    
    .footer{
        margin-top: 1rem;
    }
}

@media screen and (max-width: 548px) {
    body{
        --big-font-size: 2.568rem;
        /* --h1-font-size: 2.115rem;
        --h2-font-size: 1.324rem;
        --h3-font-size: 1.125rem;
        --normal-font-size: .896rem;
        --small-font-size: .825rem;
        --smaller-font-size: .793rem;
        --tiny-font-size: .625rem; */
    }
    
    .container{
        max-width: 100%;
    }

    .section{
        padding: 2.92rem 0;
    }
    .section__title{
        margin-bottom: 2.125rem;
    }
    
    .scroll-to-top a{
        right: 12px;
        bottom: 76px;
    }
    
    .nav__list{
        padding: .5rem 1rem;
        padding-top: 1rem;
    }
    .nav__item{
        padding: 1.8rem 1rem;
    }
    
    .home__img{
        padding: 0 3.5rem;
    }
    .home__blob{
        max-width: 218px;
    }
    .home__social{
        gap: 1rem;
        transform: translateY(2.65rem);
    }
    .home__scroll{
        display: none;
    }

    .about__img img{
        max-width: 220px;
    }
    .about__data{
        flex-wrap: wrap;
        justify-content: center;
        gap: .92rem;
    }
    .about__info{
        flex: none;
        width: 42%;
    }
    .about__description{
        padding: 0 .5rem;
        margin-bottom: 1.25rem;
    }

    .skills__container{
        gap: 1.25rem;
    }
    .skills__content{
        margin: 0;
    }
    .skills__header{
        padding: 1.5rem;
    }
    .skills__list{
        padding: 1.5rem;
        padding-top: 0;
        margin-bottom: .5rem;
    }

    .qualification__data{
        width: 100%;
        padding-bottom: 3rem;
    }
    .qualification__data:nth-child(odd){
        padding-left: 2.5rem;
        padding-right: 0;
        margin: 0;
    }
    .qualification__data:nth-child(even){
        padding-left: 2.5rem;
        margin: 0;
    }
    .qualification__data:nth-child(odd)::after{
        right: unset;
        left: .4rem;
    }
    .qualification__data:nth-child(even)::after{
        left: .4rem;
    }
    .qualification__data:nth-child(odd)::before{
        right: unset;
        left: .725rem;
    }
    .qualification__data:nth-child(even)::before{
        left: .725rem;
    }

    .portfolio__filters{
        flex-wrap: wrap;
        gap: .1rem;
        margin-bottom: 1.5rem;
    }
    .portfolio__content > div{
        width: 100%;
        padding: .55rem 0 !important;
    }
    .portfolio__item{
        padding: 0.375rem 0.675rem;
    }

    .testimonials__container{
        padding-left: .75rem;
        padding-right: .75rem;
    }
    .testimonials__slider{
        margin: 0 0;
    }
    .testimonials__rating{
        display: none;
    }

    .contact__container{
        flex-direction: column;
        gap: 4rem;
    }
    .contact__container > *{
        width: 100%;
    }
    .contact__title{
        display: none;
    }

    .footer{
        margin-top: 1.75rem;
    }


    .skills .container{
        max-width: 480px;
    }
    .qualification .container{
        max-width: 380px;
    }
    .portfolio .container{
        max-width: 350px;
    }
    .testimonials .container{
        max-width: 442px;
    }
    .contact .container{
        max-width: 468px;
    }
}

@media screen and (max-width: 380px) {
    .services__modal-close{
        top: 1.85rem;
    }
    .services__modal-content{
        padding: 1.65rem 1.5rem;
    }
    .services__modal-services{
        margin-top: 1rem;
    }
    .services__modal-service{
        margin-bottom: .65rem;
    }
    .services__modal-icon{
        font-size: 1.1rem;
    }
    .services__modal-service p{
        font-size: .94rem;
    }
    .services__modal-service:last-child{
        margin-bottom: .4rem;
    }
}